#ifndef MERGEFRAME_H
#define MERGEFRAME_H

#include <dol.h>
#include "jpeg.h"

#define PORT_MERGEFRAME_IN1   1
#define PORT_MERGEFRAME_IN2   2
#define PORT_MERGEFRAME_OUT1  3
#define PORT_MERGEFRAME_OUT2  4

//local variables
typedef struct _local_states {
    int x_s;
    int y_s;
    unsigned int disp_nb;
    unsigned char ColorBuffer[MCU_sx * MCU_sy];
    unsigned char LineBuffer[MAX_WIDTH * MCU_sx];
    int dataBuff[(MAX_WIDTH * MCU_sy) / 4];
    unsigned int send_size;
    int num_iter;
} Mergeframe_State;

void mergeframe_init(DOLProcess *);
int mergeframe_fire(DOLProcess *);

#endif
